Attribute VB_Name = "Program"
' Copyright (c) Traeger Industry Components GmbH.  All Rights Reserved.
Option Explicit

'
' This sample demonstrates a Hello World! application.
'
' This application does write/read the 'Hello World!' message to/from the PLC and when
' prints the message on the standard output.
'
Public Sub Main()
    Dim device As SimaticDevice
    Set device = New_SimaticDevice( _
            New_IPDeviceEndPoint("192.168.0.80"), SimaticDeviceType_S7300_400)

    Dim connection As PlcDeviceConnection
    Set connection = device.CreateConnection()
    
    Call connection.Open
    Call connection.WriteString("DB111.DBB 100", "Hello World!")

    Dim message As String
    message = connection.ReadString("DB111.DBB 100", 16)
    Debug.Print message

    Call connection.Close
End Sub

